Skip to content
Pile
Esc
navigateopen⌘Jpreview

List support escalation rules

GET/workspaces/{organizationId}/support/escalation-rules
Path parameters
organizationIdstringrequired
Responses
200Escalation rules
rulesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
isActivebooleanrequired
sortOrdernumberrequired
conditionsobjectrequired
Show properties
keywordsstring[]
channelsstring[]
prioritiesstring[]
statusesstring[]
sourcesstring[]
customerDomainsstring[]
actionobjectrequired
Show properties
typestringrequired
Allowed:create_issue
teamIdstring
prioritystring
Allowed:lowmediumhighurgent
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
labelIdsstring[]
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/support/escalation-rules"
Response
{
  "rules": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "isActive": true,
      "sortOrder": 0,
      "conditions": {
        "keywords": [
          "string"
        ],
        "channels": [
          "email"
        ],
        "priorities": [
          "low"
        ],
        "statuses": [
          "todo"
        ],
        "sources": [
          "intercom"
        ],
        "customerDomains": [
          "string"
        ]
      },
      "action": {
        "type": "create_issue",
        "teamId": "string",
        "priority": "low",
        "status": "triage",
        "labelIds": [
          "string"
        ]
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}